Update a project setting
curl --request PATCH \
--url {schemes}://api.upsun.com/projects/{projectId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"initialize": {},
"data_retention": {},
"build_resources": {
"cpu": 123,
"memory": 123
},
"maintenance_window": {
"recurrence": {
"interval": "<string>",
"day_of_week": 123,
"time": "<string>"
}
}
}
'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/settings"
payload = {
"initialize": {},
"data_retention": {},
"build_resources": {
"cpu": 123,
"memory": 123
},
"maintenance_window": { "recurrence": {
"interval": "<string>",
"day_of_week": 123,
"time": "<string>"
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
initialize: {},
data_retention: {},
build_resources: {cpu: 123, memory: 123},
maintenance_window: {recurrence: {interval: '<string>', day_of_week: 123, time: '<string>'}}
})
};
fetch('{schemes}://api.upsun.com/projects/{projectId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"code": 123
}Project Settings
Update a project setting
Update one or more project-level settings.
PATCH
/
projects
/
{projectId}
/
settings
Error
A valid request URL is required to generate request examples{
"status": "<string>",
"code": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Data retention configuration
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Configuration for the maintenance window schedule
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?
⌘I